import { LightningElement, track } from "lwc";
// import omniscriptCustomLwc from "vlocity_cmt/omniscriptCustomLwc";
import template from "./myAccordionComponent.html"
import { OmniscriptBaseMixin } from 'vlocity_cmt/omniscriptBaseMixin';

export default class myAccordionComponent extends OmniscriptBaseMixin(LightningElement) {

    // Besides copy paste from https://nds.vlocity.tools/?path=/story/ui-components-accordion--default
    //   the only thing to add to HTML is the class "a1", "a2", etc... on
    //   the `nds-accordion__secion` section element
    accordions = 3;

    // Whether multiple accordions can be open at the same time
    showMultiple = false;

    // Smart method that dynamically adjusts which accordions are open
    //   based on `showMultiple` variable
    accordionOpen(num) {
        let accordion = this.template.querySelector(`.a${num}`);
        // console.debug("accordion", num, accordion, accordion.classList);
        accordion.classList.toggle('nds-is-open');

        if (!this.showMultiple) {
            for (let i = 1; i <= this.accordions; i++) {
                if (i === num) continue;
                let a = this.template.querySelector('.a' + i);
                a.classList.remove('nds-is-open');
            }
        }
    }

    a1Click() {
        this.accordionOpen(1);
    }
    a2Click() {
        this.accordionOpen(2);
    }
    a3Click() {
        this.accordionOpen(3);
    }

    connectedCallback() {
        console.debug('myAccordionComponent', this);
    }

    render() {
        return template;
    }
}
